/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package jewels;

import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.HBox;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;
import javafx.stage.StageStyle;
import javafx.stage.Window;


/**
 *
 * @author soutez506
 */
public class TimeDialog {
    private Stage dialog;
    
    private int [] time = {0, 0};
    
    
    public Stage showDialog(Window parent) {
        dialog = new Stage();
        dialog.initOwner(parent);
        dialog.initStyle(StageStyle.DECORATED);
        dialog.setTitle("Nastavení času");
        dialog.setWidth(350);
        dialog.setHeight(150);
        dialog.setResizable(false);
        
        VBox root = new VBox();
        HBox hBox = new HBox();
        Button button = new Button();
        Label label = new Label("Zadejte hrací dobu: ");
        TextField textField = new TextField();
        textField.setPrefColumnCount(15);
        textField.setText("00:00");
        
        root.getChildren().addAll(hBox, button);
        root.setAlignment(Pos.CENTER);
        root.setSpacing(20);
        
        hBox.getChildren().addAll(label, textField);
        hBox.setAlignment(Pos.CENTER);
        hBox.setSpacing(5);
        
        button.setText("Odeslat");
        button.setDefaultButton(true);
        button.setOnAction((event) -> {
            if (textField.getText().length() < 5){
                textField.setStyle("-fx-background-color: salmon");
            }
            else {
                time[1] = Integer.parseInt(textField.getText().substring(0, 2));
                time[0] = Integer.parseInt(textField.getText().substring(3, 5));
                dialog.close();
            }
        });

        Scene scene = new Scene(root);        
        dialog.setScene(scene);
        dialog.showAndWait();
        return dialog;
    } 
    
    public int[] getValue(){
        return time;
    }    
}
