/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package jewels;

import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;
import javafx.scene.text.Font;
import javafx.scene.text.FontWeight;

/**
 *
 * @author soutez506
 */
public class Drawing {
    private int[] time = {-1, -1};
    
    
    public void drawBG(GraphicsContext gc){
        gc.setFill(Color.BISQUE);
        gc.fillRect(0, 0, 500, 620);
        gc.setFill(Color.BLACK);
        gc.setLineWidth(5);
        gc.strokeRect(50, 200, 400, 400);
    }
    
    public void drawPanel(GraphicsContext gc, int score){
        gc.setFill(Color.BISQUE);
        gc.fillRect(0, 0, 500, 150);
        gc.setFill(Color.BLACK);
        gc.setFont(Font.font("Verdana", FontWeight.BOLD, 40));
        gc.fillText(String.format("%2d : %2d", time[1], time[0]), 300, 50);
        System.out.println(time[0]);
        gc.fillText(Integer.toString(score), 50, 50);
    }
    
    public void drowSelect(GraphicsContext gc, int x, int y){
        gc.setFill(Color.BLACK);
        gc.setLineWidth(5);
        gc.strokeRect(x * 50 + 50, y * 50 + 200, 50, 50);
    }
    
    public void drawStones(GraphicsContext gc, int[][] stones){
        for (int i = 0; i < 8; i++){
            for (int j = 0; j < 8; j++){
                switch (stones[i][j]){
                    case 1:
                        gc.setFill(Color.RED);
                        break;
                    case 2:
                        gc.setFill(Color.GREEN);
                        break;
                    case 3:
                        gc.setFill(Color.BLUE);
                        break;
                    case 4:
                        gc.setFill(Color.WHITE);
                        break;
                    case 5:
                        gc.setFill(Color.YELLOW);
                        break;
                    case 6:
                        gc.setFill(Color.PURPLE);
                        break;
                }
                gc.fillRect(i*50 + 50, j*50 + 200, 50, 50);
            }
        }
        
    }
    
    public void drawNext(GraphicsContext gc, int[][] next){
        for (int i = 0; i < 8; i++){
            switch (next[i][0]){
                case 1:
                    gc.setFill(Color.RED);
                    break;
                case 2:
                    gc.setFill(Color.GREEN);
                    break;
                case 3:
                    gc.setFill(Color.BLUE);
                    break;
                case 4:
                    gc.setFill(Color.WHITE);
                    break;
                case 5:
                    gc.setFill(Color.YELLOW);
                    break;
                case 6:
                    gc.setFill(Color.PURPLE);
                    break;
            }
            gc.fillRect(i*50 + 50, 100, 50, 50);
        }
        
    }
    
    
    
    public void setNewTime (int[] time){
        this.time = time;
    }
    
    public void setTime(){
        time[0] ++;
        if(time[0] == 0)
        {
            time[0] = 0;
            time[1] --;
        }
    }    
}
